﻿.product-grid {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 35px;
}

.product-card {
    background: #fff;
    border-radius: 22px;
    border-left: 6px solid #6c63ff;
    padding: 30px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
    transition: transform 0.35s, box-shadow 0.35s;
    display: flex;
    flex-direction: column;
}


    .product-card:hover {
        transform: translateY(-8px);
        box-shadow: 0 16px 30px rgba(0,0,0,0.18);
    }

    .product-card h3 {
        font-weight: bold;
        font-size: 24px;
        margin-bottom: 10px;
    }

    .product-card p {
      
        margin-bottom: 15px;
    }
    .product-card p {
        font-size: 16px;
        color: #4b5563;
    }
        .product-card .actions {
        margin-top: auto;
    }

.product-filter {
    display: flex;
    gap: 10px;
    margin-bottom: 18px;
    flex-wrap: wrap;
}

.filter-btn {
    padding: 8px 14px;
    border-radius: 999px;
    border: none;
    background: #f1f5f9;
    font-weight: 700;
    cursor: pointer;
    color: #374151;
}

    .filter-btn:hover {
        background: #e0e7ff;
    }

    .filter-btn.active {
        background: #6c63ff;
        color: white;
    }


.tag {
    display: inline-block;
    padding: 6px 14px;
    border-radius: 15px;
    font-size: 13px;
    font-weight: 600;
    margin-bottom: 12px;
    width: auto;
}

.price {
    font-weight: bold;
    font-size: 20px;
    color: #6c63ff;
}

.btn {
    padding: 12px 25px;
    border-radius: 15px;
    background-color: #6c63ff;
    color: #fff;
    border: none;
    cursor: pointer;
    font-size: 16px;
    transition: background 0.25s, transform 0.2s;
}

    .btn:hover {
        background-color: #857dff;
        transform: translateY(-2px);
    }

h1, h2, h3 {
    color: #1f2937;
}

.minecraft-plugin {
    border-left: 6px solid #10b981;
}

    .minecraft-plugin .tag {
        background-color: #d1fae5;
        color: #065f46;
    }

.discord-bot {
    border-left: 6px solid #8b5cf6;
}

    .discord-bot .tag {
        background: #ddd6fe;
        color: #5b21b6;
    }

.sekceText {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
    font-size: 28px;
    margin-bottom: 30px;
}

.horni-cast {
    display: flex;
    justify-content: space-between;
    gap: 8px;
}

    .horni-cast.column {
        flex-direction: column;
    }

    .horni-cast p {
        font-size: 16px; /* přiměřená velikost pro popis */
        color: #4b5563; /* tmavě šedá, čitelná, ale ne agresivní */
        line-height: 1.5; /* lepší čitelnost */
        margin: 0; /* odstraníme defaultní margin */
        flex-basis: 100%; /* zabere celou šířku */
    }


section:not(:first-of-type) {
    margin-top: 40px;
}

.footer {
    height: 60px;
    padding: 0 22px;
    border-radius: 12px;
    background: rgba(255,255,255,0.6);
    display: flex;
    justify-content: space-between;
    align-items: center
}


/*tooltip*/
.tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

    .tooltip .tooltiptext {
        font-family: Arial, sans-serif;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        font-size: 14px;
        visibility: hidden;
        width: max-content;
        max-width: 150px;
        background-color: #fff;
        color: #4b5563;
        text-align: center;
        padding: 8px 10px;
        overflow-wrap: break-word;
        border-radius: 8px;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
        position: absolute;
        z-index: 1;
        bottom: 125%;
        left: 50%;
        transform: translateX(-50%);
        opacity: 0;
        transition: opacity 0.3s, transform 0.3s;
        line-height: 1.4;
    }

    .tooltip:hover .tooltiptext {
        visibility: visible;
        opacity: 1;
        transform: translateX(-50%) translateY(-5px); /* lehký posun při hover */
    }

    .tooltip .tooltiptext::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: #fff transparent transparent transparent;
    }




.filter-toggle {
    display: none;
    align-self: flex-start;
    padding: 8px 14px;
    border-radius: 10px;
    border: none;
    background: #6c63ff;
    color: #fff;
    font-weight: 700;
    cursor: pointer
}

.visible-false {
    display: none;
}


.hero {
    /*    margin-top: 0 !important;*/
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 28px;
    align-items: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    height: auto;
    align-items: start;
}

    .hero.opak {
        grid-template-columns: 1fr 2fr;
    }


    .hero.triple {
        grid-template-columns: repeat(3, 1fr);
    }



.item {
    background: linear-gradient(120deg, #f7fbff 0%, #f7fbff 60%, #ffffff 100%);
    border-left: 4px solid #6c63ff;
    padding: 14px 18px;
    border-radius: 12px;
    transition: transform .2s ease, box-shadow .2s ease;
}

    .item:not(:first-of-type) {
        margin-top: 12px;
    }


    .item strong {
        color: #027581;
        display: block;
        font-size: 15px;
        font-weight: 700;
        letter-spacing: .6px;
        margin-bottom: 2px;
    }

    .item .meta {
        margin-top: 5px;
        font-size: 10.3px;
        color: black;
        font-weight: 500;
        opacity: 0.7; /* méně výrazná */
        margin-bottom: 4px; /* lehce menší mezera pod textem */
        text-transform: uppercase; /* volitelné, aby to vypadalo jako meta info */
        letter-spacing: 0.5px;
    }

    .item p {
        margin: 0 !important;
        padding: 0;
        color: #374151 !important;
        font-size: 14px;
        font-weight: 467;
        line-height: 1.2;
    }

.card.pravidla {
    max-height: 350px; /* nastav výšku podle potřeby */
}

    .card.pravidla .items {
        max-height: 100%;
        overflow-y: auto; /* umožní vertikální scroll uvnitř karty */
        scrollbar-color: #6c63ff white;
        padding-right: 10px; /* aby scrollbar nevypadal příliš uříznutý */
    }



    .card.pravidla a {
        display: inline-block;
        text-decoration: none;
        color: #6c63ff;
        font-weight: 600;
        font-size: 14px;
        padding: 6px 12px;
        border-radius: 8px;
        border: 1px solid #6c63ff;
        transition: all 0.2s ease;
        margin-top: 12px; /* stejné jako u .item:not(:first-of-type) */
        max-width: fit-content; /* omezí šířku podle obsahu */
    }

        .card.pravidla a:hover {
            background: #6c63ff;
            color: #ffffff;
            transform: translateY(-2px);
            box-shadow: 0 4px 10px rgba(0,0,0,0.1);
        }

/* wrapper scrolluje */
.items-wrapper {
    max-height: 100%;
    overflow: hidden;
    position: relative;
}

    /* fade přes wrapper */
    .items-wrapper::before,
    .items-wrapper::after {
        content: '';
        position: absolute;
        left: 0;
        right: 0;
        height: 5px;
        pointer-events: none;
        z-index: 2;
    }

    /*    .items-wrapper::before {
        top: 0;
        background: linear-gradient(to bottom, rgba(255,255,255,0.6), rgba(255,255,255,0));
    }*/

    .items-wrapper::after {
        bottom: 0;
        background: linear-gradient(to top, rgba(255,255,255,0.6), rgba(255,255,255,0));
    }


.card {
    background: #ffffff;
    padding: 30px;
    display: flex;
    flex-direction: column;
    border-radius: 14px;
    box-shadow: 0 12px 30px rgba(12,20,30,0.06);
    height: 100%;
}

#spoluprace-card {
    background: #f0f8ff;
}

.card h2 {
    font-weight: bold;
    color: #6c63ff;
    margin: 0 0 12px;
    font-size: 28px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.card p {
    color: #4b5563;
    line-height: 1.3;
    margin-bottom: 18px
}

.card p:last-child {
    margin-bottom: 0; /* odstraní margin u posledního */
}

.nav-card-sekce {
    margin-top: auto;
}

a {
    color: inherit;
    text-decoration: none;
}


/*NAVBARY*/
.page header .side-bar-1 {
    color: black; /* akcentní barva */
}

.page header .side-bar-2 {
    color: #374151; /* akcentní barva */
}
/* Cílení přímo na ul v hlavičce (odpovídá MainLayout.razor) */
.page header ul {
    display: flex; /* položky vedle sebe */
    flex-direction: row;
    gap: 20px;
    list-style: none;
    padding: 0;
    margin: 0;
    align-items: center;
    flex-wrap: wrap; /* při nedostatku šířky přejdou na další řádek */
}

    .page header ul li {
        display: inline-flex;
        align-items: center;
    }

    .page header ul li {
        padding: 8px 10px;
        border-radius: 8px;
        align-content: center;
    }

        .page header ul li:hover {
            background: rgba(220,230,255,0.6);
            color: #6c63ff;
            padding: 8px 10px;
            border-radius: 8px;
        }

.links {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.link-box {
    font-size: 18px;
    background: #f7fbff;
    padding: 14px;
    border-radius: 10px;
    color: #4b5563;
}

    .link-box strong {
        font-weight: 500;
        cursor: pointer;
        color: #027581
    }

.leaderboard-info { /* jemné pozadí */
    padding: 20px 25px;
    margin-bottom: 30px;
    color: #1f2937;
    font-size: 16px;
    line-height: 1.5;
    border-radius: 14px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08);
    border-left: 3px solid #6c63ff; /* tenčí levý border */
}

.leaderboard-info p {
    background-color:white;
    margin-bottom: 0
    
}


@media (max-width: 900px) {
    /* 2 sloupce vedle sebe a třetí pod nimi */
    .hero.triple {
        grid-template-columns: 1fr 1fr;
    }

        .hero.triple .card:nth-child(3) {
            grid-column: 1 / -1; /* třetí karta zabere celý řádek */
        }
    .card.pravidla {
        max-height: 350px; /* nastav výšku podle potřeby */
    }
}

@media (max-width:1000px){

}

@media(max-width:640px) {
    .filter-toggle {
        display: block;
        margin-bottom: 10px;
        margin-left: auto;
        /*margin-bottom: 10px;*/
    }

    .horni-cast h2 {
        height: auto;
        margin: 0
    }

    .horni-cast {
        flex-direction: column;
        align-items: flex-start;
        gap: 8px;
    }

        .horni-cast.gap {
            gap: 20px !important
        }


        .horni-cast div {
            min-width: 100%;
        }

    .product-filter {
        justify-content: right;
        display: none; /* default skryto, komponenta přidá .visible */
    }


        .product-filter.show {
            display: flex;
        }

        .product-filter.open {
            display: flex
        }

    .filter-btn {
        padding: 8px 14px;
        border-radius: 999px;
        border: none;
        background: #f1f5f9;
        font-weight: 700;
        cursor: pointer;
        color: #374151;
    }

    .hero {
        display: grid;
        grid-template-columns: 1fr !important; /* jedna kolona */
        grid-template-rows: auto auto; /* dvě řady pro karty */
    }
}

#hlasovani-input:focus {
    outline: none !important;
    border-color: #6c63ff !important;
}
